Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000231Core InformHeadingspublic2010-08-04 15:282010-10-28 00:30
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.5
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000231: Otherwise hidden HTML tags are visible if they appear in the game's title
DescriptionThe attached source introduces two [p] tags for the paragraph breaks within the quotes. When the story is run, the output is:

[p]There is a room.[p]
An Interactive Fiction
Release 1 / Serial number 100804 / Inform 7 build 6E72 (I6/v6.31 lib 6/12N) SD

room

>
Minimal Source Text To Reproduce
"

There is a room.

"

There is a room.
Additional InformationPerhaps this is really ``accepts invalid code.''
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0000380)
jmcgrew (administrator)
2010-08-05 16:20

Mantis seems to have ruined the tags in your report, and I'm not sure where they belong. Can you correct them, please? Maybe use [p] and [/p].
(0000382)
EmacsUser (manager)
2010-08-06 17:08

Done. Sorry.
(0000481)
graham (administrator)
2010-09-01 11:30

Funny how embarrassing this sort of bug is - as though the computer has been vulgarly exposed as a mere computer. I thought rather the same when waiting for a train in Monaco (oh, I get around) announced on the departure board as the NOT_FOUND service. Anyway, this is fixed.

- Issue History
Date Modified Username Field Change
2010-08-04 15:28 EmacsUser New Issue
2010-08-05 16:20 jmcgrew Note Added: 0000380
2010-08-05 16:20 jmcgrew Status new => feedback
2010-08-06 17:08 EmacsUser Description Updated View Revisions
2010-08-06 17:08 EmacsUser Note Added: 0000382
2010-08-06 17:08 EmacsUser Status feedback => new
2010-08-08 20:18 jmcgrew Status new => confirmed
2010-09-01 11:30 graham Note Added: 0000481
2010-09-01 11:30 graham Status confirmed => resolved
2010-09-01 11:30 graham Resolution open => fixed
2010-09-01 11:30 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker